For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • POSTRequest Agent Auth Code
      • POSTConfirm Agent Auth Code
      • POSTCreate an Agent Research Object
      • GETGet an Agent Research Object
      • GETGet Agent Research Results
      • GETGet a Single Agent Research Result
      • POSTCreate an Agent Research Update
      • POSTCreate an Agent Research Chat Message
      • GETGet an Agent Research Chat Message
      • GETStream an Agent Research Chat Message
      • POSTUpload an Agent File
      • GETGet Agent Balance
      • POSTCreate Agent Top-Up Checkout Session
API ReferenceAgent

Get Agent Research Results

GET
https://api.caesar.xyz/agents/research/:id/results
GET
/agents/research/:id/results
$curl https://api.caesar.xyz/agents/research/id/results \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "title": "Comprehensive Analysis of Renewable Energy Adoption in Europe",
5 "url": "https://www.sciencedirect.com/science/article/pii/S1364032121001234",
6 "citation_index": 5
7 }
8]

Returns token-aware result references for a research job.

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
Research job identifier.

Query parameters

citations_onlybooleanOptionalDefaults to false

When true, only returns results that have a citation_index.

Response

List of token-aware research result references.

idstringformat: "uuid"
Result identifier.
titlestring
Result title.
urlstringformat: "uri"
Canonical URL.
citation_indexinteger>=1
Citation index referenced in generated content.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error